pqxx::prepare::internal::prepared_def Struct Reference

Internal representation of a prepared statement definition. More...

`#include <prepared_statement.hxx>`

## Public Member Functions

| prepared_def ()
| prepared_def (const std::string &)

## Public Attributes

std::string | definition
| Text of prepared query. More...
bool | registered
| Has this prepared statement been prepared in the current session? More...

## Detailed Description

Internal representation of a prepared statement definition.

## Constructor & Destructor Documentation

## prepared_def() [1/2]

pqxx::prepare::internal::prepared_def::prepared_def | ( |  | ) |

## prepared_def() [2/2]

pqxx::prepare::internal::prepared_def::prepared_def | ( | const std::string & | def | ) |

explicit

## Member Data Documentation

## definition

std::string pqxx::prepare::internal::prepared_def::definition

Text of prepared query.

Referenced by pqxx::connection_base::unprepare().

## registered

bool pqxx::prepare::internal::prepared_def::registered

Has this prepared statement been prepared in the current session?

Referenced by pqxx::connection_base::unprepare().

The documentation for this struct was generated from the following files:

- prepared_statement.hxx
- prepared_statement.cxx